<a name="menu" href="/doc">返回主目录</a>

1. [下商标订单](#addOrder)
1. [下其他订单](#addOtherOrder)
1. [获取H5支付链接](#getH5PayUrl)


## **<a name="addOrder"> 下商标订单</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：addOrder

``` javascript
{
    "typeOneCode":"sbfu"
}

```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":[
        {
            "id":1,
            "uapp_id":16,
            "path_code":"sbfu/sbzc",
            "path_name":"商标服务/商标注册",
            "item_code":"zzsbzc",
            "item_name":"商标注册【自助申请】",
            "pic_url":null,
            "product_desc":"{"logo":"","desc":["自己检索商标,准备官方所需注册材料","提交迅速,及时反馈","全流程跟踪,掌握申请进度"]}",
            "channel_item_code":"FW_GOODS-581976-1",
            "channel_item_name":"商标注册【自助申请】",
            "sort":0,
            "productType_id":2,
            "created_at":"2020-01-07T15:29:57.000Z",
            "product_id":1,
            "price":300,
            "supply_price":0,
            "service_charge":0,
            "public_expense":0,
            "channel_profit_rate":0,
            "price_type":"mj",
            "price_type_name":"每件",
            "price_desc":null,
            "min_qty":1,
            "max_qty":100,
            "type_id":2,
            "p_id":1,
            "type_code":"sbzc",
            "type_name":"商标注册",
            "type_pic":null,
            "type_desc":null,
            "type_icon":null,
            "p_type_id":1,
            "p_type_code":"sbfu",
            "p_type_name":"商标服务",
            "p_type_pic":null,
            "p_type_desc":null,
            "p_type_icon":null
        },
        {
            "id":2,
            "uapp_id":16,
            "path_code":"sbfu/sbzc",
            "path_name":"商标服务/商标注册",
            "item_code":"fzsbzc",
            "item_name":"商标注册【专家辅助申请】",
            "pic_url":null,
            "product_desc":"{"logo":"","desc":["由专业代理人帮您检索分析,成功率高","为您优化注册方案,全方位保护","代理人全流程服务,24小时拿到官方申请号"]}",
            "channel_item_code":"FW_GOODS-580010-1",
            "channel_item_name":"商标注册【专家辅助申请】",
            "sort":0,
            "productType_id":2,
            "created_at":"2020-01-07T15:30:34.000Z",
            "product_id":2,
            "price":699,
            "supply_price":0,
            "service_charge":0,
            "public_expense":0,
            "channel_profit_rate":0,
            "price_type":"mj",
            "price_type_name":"每件",
            "price_desc":null,
            "min_qty":1,
            "max_qty":100,
            "type_id":2,
            "p_id":1,
            "type_code":"sbzc",
            "type_name":"商标注册",
            "type_pic":null,
            "type_desc":null,
            "type_icon":null,
            "p_type_id":1,
            "p_type_code":"sbfu",
            "p_type_name":"商标服务",
            "p_type_pic":null,
            "p_type_desc":null,
            "p_type_icon":null
        },
        {
            "id":3,
            "uapp_id":16,
            "path_code":"sbfu/sbzc",
            "path_name":"商标服务/商标注册",
            "item_code":"dbsbzc",
            "item_name":"商标注册【担保申请】",
            "pic_url":"",
            "product_desc":"{"logo":"","desc":["专业代理人精准评估,风险共担","注册不成功,全额退款","24小时拿到官方申请号"]}",
            "channel_item_code":"FW_GOODS-581978-1",
            "channel_item_name":"商标注册【担保申请】",
            "sort":0,
            "productType_id":2,
            "created_at":"2020-01-07T15:30:34.000Z",
            "product_id":3,
            "price":1380,
            "supply_price":0,
            "service_charge":0,
            "public_expense":0,
            "channel_profit_rate":0,
            "price_type":"mj",
            "price_type_name":"每件",
            "price_desc":"",
            "min_qty":1,
            "max_qty":100,
            "type_id":2,
            "p_id":1,
            "type_code":"sbzc",
            "type_name":"商标注册",
            "type_pic":null,
            "type_desc":null,
            "type_icon":null,
            "p_type_id":1,
            "p_type_code":"sbfu",
            "p_type_name":"商标服务",
            "p_type_pic":null,
            "p_type_desc":null,
            "p_type_icon":null
        }
    ],
    "requestId":"cb12e4a2f91440ab8f0d79b6845298e8"
}
```

## **<a name="addOtherOrder"> 下其他订单</a>getH5PayUrl
[返回到目录](#menu)
##### URL
[/web/opaction/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：addOrder

``` javascript
{
    "channelItemCode":"fzsbzc",// Y 产品的渠道编码
    "pay_code": "zzsbzc-1", // Y 支付价格code
    "quantity":1,// Y 购买数量
    "totalSum":699,// Y 订单总金额
    "payTotalSum":699,	// Y 订单付款总金额	
    "channelOrder":{
        "channelServiceNo":"",// N 服务单号（即渠道服务单号）
        "channelOrderNo":[],// N 服务订单号（即渠道服务订单号[XX1,XX2]）
        "payTime":"",// N 渠道需求单号支付时间
        "orderStatus":1,// N 渠道需求单号支付支付状态 1: 待付款, 2: 已付款
        "channelParams":""// N 渠道参数（自定义参数）
    },// Y 渠道订单信息，没有则填写{}
    "deliveryData":null//Y 交付单信息，没有则填写null
}

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data": {
        "orderNo": "OT26202002151649kPgs",//订单号
        "channelServiceNo": "OT26202002151649kPgs",//渠道单号
        "channelParams": ""//渠道参数
    },
    "requestId": "2f90fad8108b4933bb97c3d978b0fe10"
}
```

## **<a name="getH5PayUrl"> 获取H5支付链接</a>**
[返回到目录](#menu)
##### URL
[/web/payment/paymentApi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getH5PayUrl

``` javascript
{
	"orderNo":"OT26202002151649kPgs"
}

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "payUrl": "https://syb.allinpay.com/apiweb/h5unionpay/unionorder?appid=00172286&body=%E5%95%86%E6%A0%87%E6%B3%A8%E5%86%8C%E3%80%90%E4%B8%93%E5%AE%B6%E8%BE%85%E5%8A%A9%E7%94%B3%E8%AF%B7%E3%80%91&charset=UTF-8&cusid=560595073992Z6G&notify_url=http%3A%2F%2Fgsb.qifu.gongsibao.com%3A4012%2Ftlpay%2Fnotify&randomstr=1581758584924&remark=h5paypagesywdy&reqsn=OT26202002151649kPgs&returl=http%3A%2F%2Fgsb.qifu.gongsibao.com%3A4012%2Ftlpay%2Fnotify&sign=439FA9F49D365DC32FE1CA712F5AD848&trxamt=69900&version=12", // H5支付链接
    "requestId": "ac22e84d8ebc4df09629c0aff2bb1fe9"
}

```